RELAY_RESET(9)

NAME
relay_reset - reset the channel

SYNOPSIS

void relay_reset(struct rchan * chan);

ARGUMENTS

chan
    the channel

DESCRIPTION

This has the effect of erasing all data from all channel buffers and restarting the channel in its initial state. The buffers are not freed, so any mappings are still in effect.

NOTE. Care should be taken that the channel isn't actually being used by anything when this call is made.

COPYRIGHT